dbXML API

## org.dbxml.core
Interface DBObject

All Known Subinterfaces:
  Filer, Indexer

All Known Implementing Classes:
  Collection

public interface DBObject

DBObject is the interface implemented by all dbXML database objects. DBObjects are typically objects that can be managed using XML configuration information, which is typically stored in the system database. XMLObjects are not considered DBObjects because of the steps involved in having to generate them, which is usually compilation of source code.

Method Summary
`boolean` `close()` close closes the DBObject
`boolean` `create()` create creates a new DBObject and any associated resources for the new DBObject, such as disk files, etc.
`boolean` `drop()` drop instructs the DBObjectimplementation to remove itself from existence.
`boolean` `exists()` exists returns whether or not a physical representation of this DBObject actually exists.
`boolean` `isOpened()` isOpened returns whether or not the DBObject is opened for business.
`boolean` `open()` open opens the DBObject

Method Detail

### create

    public boolean create()
                   throws DBException

  create creates a new DBObject and any associated resources for the new DBObject, such as disk files, etc.
  Returns:
    Whether or not the DBObject was created

### open

    public boolean open()
                 throws DBException

  open opens the DBObject
  Returns:
    Whether or not the DBObject was opened

### isOpened

    public boolean isOpened()
                     throws DBException

  isOpened returns whether or not the DBObject is opened for business.
  Returns:
    The open status of the DBObject

### exists

    public boolean exists()
                   throws DBException

  exists returns whether or not a physical representation of this DBObject actually exists. In the case of a HashFiler, this would check for the file, and in the case of an FTPFiler, it might perform a connection check.
  Returns:
    Whether or not the physical resource exists

### drop

    public boolean drop()
                 throws DBException

  drop instructs the DBObjectimplementation to remove itself from existence. The DBObject's parent is responsible for removing any references to the DBObject in its own context.
  Returns:
    Whether or not the DBObject was dropped

### close

    public boolean close()
                  throws DBException

  close closes the DBObject
  Returns:
    Whether or not the DBObject was closed

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved